<?php
if (post_password_required()) {
	return;
}
?>
<div id="comments">
<?php if (have_comments()) : ?>
	<h3 class="comments-title">「<?php echo get_the_title() ?>」へ<?php echo get_comments_number() ?>件のコメント</h3>
	<ol class="comment-list">
<?php
	wp_list_comments(array(
		'style'      => 'ol',
		'short_ping' => true,
		'avatar_size'=> 34,
	));
?>
	</ol>
	<!-- /.comment-list -->
<?php endif; ?>

<?php
	//-- コメント投稿フォームのカスタマイズ
	// デフォルト値取得
	$commenter = wp_get_current_commenter();
	$req = get_option('require_name_email');
	$aria_req = ($req ? ' aria-required="true"' : '');
	// $fields設定
	$fields = array(
		'author' => '<p class="inputtext"><label for="author">名前' . ($req ? '（必須）' : '') . '</label>'
				  . '<br /><input id="author" name="author" type="text" value="' . esc_attr($commenter['comment_author']) . '" size="30"' . $aria_req . ' />' . '</p>',
		'email'  => '<p class="inputtext"><label for="email">メールアドレス' . ($req ? '（必須&nbsp;/&nbsp;公開はされません）' : '') . '</label>'
				  . '<br /><input id="email" name="email" type="text" value="' . esc_attr($commenter['comment_author_email']) . '" size="30"' . $aria_req . ' /></p>',
		'url'    => '<p class="inputtext"><label for="url">ホームページ</label>'
				  . '<br /><input id="url" name="url" type="text" value="' . esc_attr($commenter['comment_author_url']) . '" size="50" /></p>',
	); 
	// $comment_field設定
	$comment_field = '<p class="comment-form-comment"><label for="comment">コメント（必須）</label>'
				   . '<br /><textarea id="comment" name="comment" cols="50" rows="8" aria-required="true"></textarea></p>';
	// $comment_notes_before設定
	$comment_notes_before = NULL;
	// $args設定
	$args = array(
		'fields'               => apply_filters('comment_form_default_fields', $fields),
		'comment_field'        => $comment_field,
		'comment_notes_before' => $comment_notes_before,
	);
?>
<?php comment_form($args); ?>
</div>
<!-- #comments -->
