<?php

// ヘッダーテキストの表示制御を受け付ける
define('NO_HEADER_TEXT', false);
/*
以下は[カスタムヘッダー パラメータ]と重複するのでそちらで指定
// ヘッダーテキスト色の変更を受け付ける
define('HEADER_TEXTCOLOR', '464646');
// デフォルトヘッダー画像の指定
define('HEADER_IMAGE', '%s/images/header.jpg');
// ヘッダー画像のサイズを指定する
define('HEADER_IMAGE_WIDTH' , 986);
define('HEADER_IMAGE_HEIGHT', 150);
*/


//--- contents widthの指定
if (!isset($content_width)) {
	$content_width = 462;	// 投稿記事が表示できるインライン純幅を指定
}


//--- ナビゲーションメニュー追加
register_nav_menus(array('navbar' => 'ナビゲーションバー'));


//--- デフォルトのカスタムヘッダー画像を登録(複数用意して選択肢とする)
/*
ここでデフォルトヘッダ画像を(配列として)エントリしておかないと、
管理画面[外観 - カスタマイズ]で(少なくともWordpress3.9では)以下のWarningが出る
・・・これ、Wordpress本体のバグでしょ orz
Warning:  Invalid argument supplied for foreach() in /･･･/wp-admin/custom-header.php on line 1248
Warning:  array_merge(): Argument #2 is not an array in /･･･/wp-admin/custom-header.php on line 1268
*/
register_default_headers(array(
	'photo-green' => array(
		'url' => '%s/images/header_photo-green.jpg',				// ヘッダー画像のアドレス
		'thumbnail_url' => '%s/images/thum_photo-green.jpg',		// ヘッダー画像のサムネイルのアドレス
		'description' => '木漏れ日'									// ヘッダー画像の説明や日本語名など(省略可)
	),
	'photo-sky' => array(
		'url' => '%s/images/header_photo-sky.jpg',
		'thumbnail_url' => '%s/images/thum_photo-sky.jpg',
		'description' => '青空'
	),
	'photo-tunnel' => array(
		'url' =>  '%s/images/header_photo-tunnel.jpg',
		'thumbnail_url' => '%s/images/thum_photo-tunnel.jpg',
		'description' => 'トンネル'
	),
	'texture-green' => array(
		'url' => '%s/images/header_texture-green.jpg',
		'thumbnail_url' => '%s/images/thum_texture-green.jpg',
		'description' => '緑のプリント基盤'
	),
	'texture-blue' => array(
		'url' => '%s/images/header_texture-blue.jpg',
		'thumbnail_url' => '%s/images/thum_texture-blue.jpg',
		'description' => '青い蜂の巣'
	),
	'texture-yellow' => array(
		'url' => '%s/images/header_texture-yellow.jpg',
		'thumbnail_url' => '%s/images/thum_texture-yellow.jpg',
		'description' => '黄色いビームライン'
	)
));


//--- カスタムヘッダー追加
/* ユーザ画面ヘッダーで、管理画面でのカスタマイズスタイルを適用するためのコールバック */
function header_style() {
	// header.php に埋めれば、コールバックを指定する必要はないんだけど・・・
?>
	<!-- support for custom-header -->
	<style type="text/css">
<?php if (!display_header_text()) : ?>
		#header #header-text {
			display: none;
		}
<?php elseif (strlen(get_header_textcolor()) > 0) : ?>
		#header #header-text .sitename,
		#header #header-text .sitename a,
		#header #header-text .descr {
			color: #<?php header_textcolor(); ?>;
		}
<?php endif; ?>
	</style>
	<!-- /support for custom-header -->
<?php
}
/* 管理画面で、[外観 - カスタマイズ]をプレビューするためのコールバック */
function admin_header_style() {
	// header.php に埋めれば、コールバックを指定する必要はないんだけど・・・
	header_style();
}
/* 管理画面で、[外観 - ヘッダー]をプレビューするためのコールバック */
function admin_header_preview() {
	// なぜかここだけプレビューのためのHTML要素が管理画面内に埋め込まれるので
	// 埋め込むべきHTML要素を(同じように見えるよう)別に作成し、本コールバックで指定する必要がある・・・
	$colorText = get_header_textcolor();
	if ($colorText == '') $colorText = get_theme_support('custom-header', 'default-text-color');
?>
	<style type="text/css" id="smartstyle-admin-header-css">
		#header-image {
			font-family: arial, helvetica, osaka, "MS PGothic", sans-serif;
			width: <?php echo get_custom_header()->width; ?>px;
			height: <?php echo get_custom_header()->height; ?>px;
			background-image: url(<?php header_image(); ?>);
		}
		#header-text {
			padding: 15px 0px 0px 12px;
			display: <?php if (display_header_text()) : ?>block<?php else : ?>none<?php endif; ?>;
		}
		#header-text #name {
			font-size:30px;
			font-weight: bold;
			line-height:30px;
			text-decoration: none;
			color: #<?php echo $colorText; ?>;
			margin-bottom:10px;
		}
		#header-text #desc {
			font-size: 12px;
			font-weight: normal;
			line-height: 20px;
			color: #<?php echo $colorText; ?>;
		}
	</style>
	<div id="header-image">
		<div id="header-text">
			<p><a id="name" href="<?php echo home_url(); ?>"><?php bloginfo('name'); ?></a></p>
			<h1 id="desc"><?php bloginfo('description'); ?></h1>
		</div>
	</div>
<?php
}
/* カスタムヘッダー パラメータを指定して追加 */
add_theme_support('custom-header', array(
	'default-image'      => get_template_directory_uri() . '/images/header_photo-green.jpg',		// デフォルトヘッダー画像
	'random-default'     => false,		// ヘッダー画像をランダム表示するか
	'width'              => 986,		// ヘッダー画像幅
	'height'             => 150,		// ヘッダー画像高
	'flex-width'         => false,		// 画像幅をフレキシブルにするか ･･･true:指定サイズに関係なくトリミング可能 / false:指定サイズに準拠した割合でのみトリミング可能
	'flex-height'        => false,		// 画像高をフレキシブルにするか ･･･true:指定サイズに関係なくトリミング可能 / false:指定サイズに準拠した割合でのみトリミング可能
	'default-text-color' => '464646',	// ヘッダーテキスト文字色
											/* デフォルト色に何らかの値を入れておかないと、管理画面[外観 - ヘッダー]で
											   文字色選択が表示されず(なぜかタイトルだけは出る)、 → in /･･･/wp-admin/custom-header.php on line 630
											   javascriptエラーになる                             → in /･･･/wp-admin/custom-header.php on line 348
											   即時関数なのでエラーを吐いてるjavascript関数をオーバーライドしてやるわけにもいかず orz
											  ・・・wordpress本体、バグ多杉(怒) */
	'header-text'        => false,		// ヘッダーテキストの表示制御可否 ･･･コレ効いてないのでは？
	'uploads'            => true,		// ヘッダー画像アップロード可否
	'wp-head-callback'       => 'header_style',			// ユーザ画面ヘッダーで、管理画面でのカスタマイズスタイルを適用するためのコールバック
	'admin-head-callback'    => 'admin_header_style',	// 管理画面で、[外観 - カスタマイズ]をプレビューするためのコールバック
	'admin-preview-callback' => 'admin_header_preview'	// 管理画面で、[外観 - ヘッダー]をプレビューするためのコールバック
));


//--- カスタム背景追加
add_theme_support('custom-background');


//--- フィードリンク追加
add_theme_support('automatic-feed-links');


//--- アイキャッチ機能追加
if (is_eyecatch()) {
	add_theme_support('post-thumbnails');
	set_post_thumbnail_size(100, 100, true);
}


//--- authorページを無効にする
function theme_slug_redirect_author_archive() {
	if (is_author()) {
		//wp_redirect(home_url());
		wp_redirect(home_url('/404.php'));
		exit;
	}
}
if (!is_author_out('list')) add_action('template_redirect', 'theme_slug_redirect_author_archive');


//--- ウイジェット追加
function smartstyle_widgets_init() {
	// カスタムウイジェットの追加
	require get_template_directory() . '/inc/widgets.php';
	register_widget('SmartWidget_CategoryPostList');	// カテゴリ別記事一覧

	// ウイジェット配置用サイドバー作成
	register_sidebar(array(
		'name'          => '左サイドバー',
		'id'            => 'sidebar-left',
		'description'   => '左側サイドバー領域に表示されます。',
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h4 class="widget-title">',
		'after_title'   => '</h4>',
	));
	register_sidebar(array(
		'name'          => '右サイドバー',
		'id'            => 'sidebar-right',
		'description'   => '右側サイドバー領域に表示されます。',
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h4 class="widget-title">',
		'after_title'   => '</h4>',
	));
}
add_action('widgets_init', 'smartstyle_widgets_init');


//--- オリジナルのテーマオプション追加
/* (外観メニュー)設定サブメニュー作成 */
function option_menu_create() {
    add_theme_page('テーマオプションの設定', 'オプション', 'edit_themes', 'theme-option', 'option_page_create');
}
/* メニューがクリックされた時に表示される設定ページ */
function option_page_create() {
	require get_template_directory() . '/inc/admin_theme-option.php';
}
add_action('admin_menu', 'option_menu_create');


//--- セルフピンバック禁止
function no_self_ping(&$links) {
	$home = home_url();
	foreach ($links as $l => $link) {
		if (strpos($link, $home) === 0) unset($links[$l]);
	}
}
add_action('pre_ping', 'no_self_ping');


//--- TinyMCEのエディタスタイル指定
add_theme_support('editor-style');
add_editor_style('tinymce/editor-style.css');
function custom_editor_settings($inits){
	$inits['body_class'] = 'editor-area';
	$inits['block_formats'] = "段落=p;Pre=pre;見出し5=h5";		// ブロックフォーマットの指定
	//$inits['wpautop'] = false;				// pタグ、brタグの自動削除 禁止
	$inits['object_resizing'] = false;		// リサイズ禁止
	return $inits;
}
add_filter('tiny_mce_before_init', 'custom_editor_settings');


//--- TinyMCEのカスタマイズ
function custom_tiny_mce_version($version) {
	return ++$version;
}
function custom_mce_external_plugins($plugin_array) {
	// プラグインファイルのurl
	$plugin_array['syntax_plugin'] = get_template_directory_uri() . '/tinymce/syntax/plugin.js';
	return $plugin_array;
}
function custom_mce_buttons($buttons) {
	// テーマオプション設定値の取得
	$syntaxs = get_original_option('syntaxs');

	// 追加したい要素の名前を定義
	$isApend = false;
	foreach ($syntaxs as $syntax) {
		if ($syntax['value'] == '1') {
			array_push($buttons, "button_syntax_".$syntax['id']);
			$isApend = true;
		}
	}
	if ($isApend) array_push($buttons, "button_entity_tag", "button_entity_amp", "button_entity_dquotes");

	return $buttons;
}
if (is_admin() && current_user_can('edit_posts') && current_user_can('edit_pages') && get_user_option('rich_editing') == 'true') {
	add_filter('tiny_mce_version'    , 'custom_tiny_mce_version');
	add_filter('mce_external_plugins', 'custom_mce_external_plugins');
	add_filter('mce_buttons_3'       , 'custom_mce_buttons');
}


//--- 投稿スラッグを自動生成
function auto_post_slug($slug, $post_ID, $post_status, $post_type) {
	if (preg_match( '/(%[0-9a-f]{2})+/', $slug)) {
		$slug = utf8_uri_encode($post_type) . '-' . $post_ID;
    }
    return $slug;
}
add_filter('wp_unique_post_slug', 'auto_post_slug', 10, 4);


//--- スクリプトの整理
function load_scripts(){
	if (is_admin()) {
		//-- 管理画面用スクリプト/スタイルの読み込み
		$script = basename($_SERVER['SCRIPT_NAME'], '.php');

		// 投稿の編集 / 固定ページの編集
		//if ($script == 'post' && $_GET["action"] == "edit") {
		if (current_user_can('edit_posts') && current_user_can('edit_pages') && get_user_option('rich_editing') == 'true') {
		}
		// [外観 - ヘッダー]
		if ($script == 'themes' && $_GET["page"] == "custom-header") {
			wp_enqueue_script('smart_js_admin_header_preview'
					, get_template_directory_uri() . "/js/" . "admin_header_preview.js", array(), NULL);
		}
		// [外観 - テーマオプション(オリジナル)]
		if ($script == 'themes' && $_GET["page"] == "theme-option") {
			wp_enqueue_style('smart_js_themeoption'
					, get_template_directory_uri() . "/css/" . "admin_theme-option.css", array(), NULL);
		}
		// [外観 - テーマ編集]
		if ($script == 'theme-editor') {
			wp_enqueue_style('smart_js_themeeditor'
					, get_template_directory_uri() . "/css/" . "theme-editor.css", array(), NULL);
		}

	} else {
		//-- ユーザ画面用スクリプト/スタイルの読み込み
		wp_enqueue_script('jquery');

		/* SyntaxHighlighter */
		$syntaxs = get_original_option('syntaxs');		// テーマオプション設定値の取得
		$dir = get_template_directory_uri() . "/syntaxhighlighter/scripts/";
		$deps = array('syntax_js_core');
		foreach ($syntaxs as $syntax) {
			if ($syntax['value'] == '1') {
				wp_enqueue_script('syntax_js_'.$syntax['id'], $dir . $syntax['script'].".js", array('syntax_js_core'), NULL);
				array_push($deps, 'syntax_js_'.$syntax['id']);
			}
		}
		if (count($deps) > 1) {
			wp_enqueue_script('syntax_js_core', $dir . "shCore.js", array(), NULL);
			$dir = get_template_directory_uri() . "/syntaxhighlighter/styles/";
			wp_enqueue_style('syntax_cs_core' , $dir . "shCore.css", array(), NULL);
			wp_enqueue_style('syntax_cs_def'  , $dir . "shCoreDefault.css", array('syntax_cs_core'), NULL);
			wp_enqueue_style('syntax_cs_smart', $dir . "shThemeSmart.css" , array('syntax_cs_core', 'syntax_cs_def'), NULL);
			$dir = get_template_directory_uri() . "/js/";
			wp_enqueue_script('smart_js_syntax', $dir . "syntaxhighlighter.js", $deps, NULL);
		}

		/* Smartstyle Original */
		$dir = get_template_directory_uri() . "/js/";
		wp_enqueue_script('smart_js_core'            , $dir . "functions.js", array('jquery'), NULL);
		wp_enqueue_script('smart_js_categorypostlist', $dir . "smartwidget_categorypostlist.js", array('smart_js_core'), NULL);

		//-- 不要なヘッダーの除去
		$wpheads = get_original_option('wpheads');		// テーマオプション設定値の取得
		foreach ($wpheads as $wphead) {
			if ($wphead['value'] == '1') {
				$priority = (isset($wphead['priority'])) ? $wphead['priority'] : 10;
				$acptargs = (isset($wphead['acptargs'])) ? $wphead['acptargs'] : 1;
				remove_action('wp_head', $wphead['id'], $priority, $acptargs);
			}
		}

		//--- アクセス解析コードをヘッダーとして出力
		$analtcs = get_analtcs();		// テーマオプション設定値の取得
		if ($analtcs != '') add_action('wp_head', 'smart_analytics');
	}
}
add_action('init', 'load_scripts');




/**
 * アイキャッチ画像出力
 * @param  
 */
function output_thumbnail() {
	if (is_eyecatch() == '0') return;

	echo '<div class="eyecatch">';
	echo '<a href="';
	the_permalink();
	echo '" title="';
	the_title_attribute();
	echo '">';
	if (has_post_thumbnail()) {
		the_post_thumbnail('thumbnail');
	} else {
		echo '<img src="' . get_template_directory_uri() . '/images/no-image.jpg" alt="No Image" title="No Image" />' . "\n";
	}
	echo '</a>';
	echo '</div>' . "\n";
}

/**
 * 広告枠の出力
 * @param  string $position  広告位置
*/
function output_ad($position) {
	$adcode = get_adcode($position);
	if ($adcode != '') {
		echo '<!-- 広告 ' . $position . ' -->' . "\n";
		echo '<div id="ad-' . $position .'" class="ad">' . "\n";
		echo $adcode . "\n";
		echo '</div>' . "\n";
		echo '<!-- /.ad -->' . "\n";
	}
}

/* アクセス解析コード出力 */
function smart_analytics() {
	$analtcs = get_analtcs();
	if ($analtcs != '') {
		echo '<!-- analytics -->' . "\n";
		echo $analtcs . "\n";
	}
}

/**
 * 一覧ページネーション出力
 * @param  int    $pages     1ページあたり表示件数
 * @param  int    $range     先頭ページへ / 最終ページへ のリンクを表示するレンジ
 */
function pagination($pages = 0, $range = 4) {
	$showitems = ($range * 2) + 1;

	global $paged;
	if (empty($paged)) $paged = 1;

	if ($pages == 0) {
		global $wp_query;
		$pages = $wp_query->max_num_pages;
		if (!$pages) $pages = 1;
	}

	if ($pages != 1) {
		echo '<!-- 一覧ページネーション -->' . "\n";
		echo '<div class="pagination"><span>Page ' . $paged . ' of ' . $pages . '</span>';
		if ($paged > 2 && $paged > $range + 1 && $showitems < $pages) echo '<a href="' . get_pagenum_link(1) . '">&laquo; First</a>';
		if ($paged > 1 && $showitems < $pages) echo '<a href="' . get_pagenum_link($paged - 1) . '">&lsaquo; Previous</a>';
		for ($i=1; $i <= $pages; $i++) {
			if ($pages != 1 && (!($i >= $paged + $range + 1 || $i <= $paged - $range - 1) || $pages <= $showitems)) {
				echo ($paged == $i) ? '<span class="current">' . $i . '</span>' : '<a href="' . get_pagenum_link($i) . '" class="inactive">' . $i . '</a>';
			}
		}
		if ($paged < $pages && $showitems < $pages) echo '<a href="' . get_pagenum_link($paged + 1) . '">Next &rsaquo;</a>';
		if ($paged < $pages - 1 &&  $paged + $range - 1 < $pages && $showitems < $pages) echo '<a href="' . get_pagenum_link($pages) . '">Last &raquo;</a>';
		echo '</div><div class="clear"></div>' . "\n";
	}
}

/**
 * オリジナルテーマオプションの取得(全般)
 * @param  string $name      オプション名
 * @param  string $key       キー値
 * @param  bool   $onlyValue 設定値のみを取得するか否か
 * @return string or array   オリジナルテーマオプション設定値(オプションによっては配列)
*/
function get_original_option($name, $key = '', $onlyValue = false) {
	require get_template_directory() . '/inc/theme-options.php';
	if (!is_array(${$name}) || $key == '') return ${$name};

	$filter = create_function('$options', 'return ($options[\'id\'] == ' . $key . ');');
	$options = array_filter(${$name}, $filter);
	foreach ($options as $option) {
		return ($onlyValue) ? $option['value'] : $option;
	}
}

/**
 * アイキャッチ出力判定(オリジナルテーマオプション個別取得)
 * @param  
 * @return bool   アイキャッチ画像を出力するか否か
*/
function is_eyecatch() {
	if (get_theme_mod('eyecatch', '0') == '1') return true;
	return false;
}

/**
 * author情報出力判定(オリジナルテーマオプション個別取得)
 * @param  string $type      取得種別 (list - 一覧ページ / post - 個別ページ)
 * @return bool   アイキャッチ画像を出力するか否か
*/
function is_author_out($type) {
	if (get_theme_mod('disauthor_' . $type, '0') == '1') return false;
	return true;
}

/**
 * 広告コード取得(オリジナルテーマオプション個別取得)
 * @param  string $position  広告位置
 * @return string 広告コード
*/
function get_adcode($position) {
	return get_theme_mod('adcode_' . $position, '');
}

/**
 * アクセス解析コード取得(オリジナルテーマオプション個別取得)
 * @param  
 * @return string アクセス解析コード
*/
function get_analtcs() {
	return get_theme_mod('analtcs', '');
}

/**
 * 記事更新日時取得(予約投稿対応)
 * 		投稿日時が更新日時より後(予約投稿)の場合は投稿日時を取得
 * 		同じ場合はNULLとするかその日時を取得するか選択可
 * 		投稿日時より更新日時が後(通常)の場合は更新日時を取得する
 * @param  string $format    フォーマット
 * @param  bool   $same_null 投稿日時と更新日時が同じ場合にNULLとするか否か
 * @return string 記事更新日付
 */
function get_mtime($format = '', $sameNull = false) {
	$ptime = get_the_time('YmdHis');
	$mtime = get_the_modified_time('YmdHis');
	if ($ptime > $mtime) {
		return get_the_time($format);
	} elseif ($ptime == $mtime) {
		return (($sameNull) ? null : get_the_time($format));
	} else {
		return get_the_modified_time($format);
	}
}

?>
