<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html <?php language_attributes(); ?>>
<head profile="http://gmpg.org/xfn/11">
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<?php if (is_archive()) : ?>
	<meta name="robots" content="noindex">
<?php endif; ?>
	<title><?php
	if (is_archive()) {
		wp_title('|', true, 'right');
	} elseif (is_search()) {
		wp_title('-', true, 'right');
	} elseif (is_404()) {
		echo '404 Not Found - ';
	}
	if (is_front_page()) {
		bloginfo('name');
	} elseif (is_single() || is_page()) {
		wp_title('');
	} else {
		bloginfo('name');
	}
	global $page, $paged;
	if ($paged >= 2 || $page >= 2) {
		echo '-' . sprintf('%sページ', max($paged, $page));
	}
	?></title>
	<meta name="viewport" content="width=1024, maximum-scale=1, user-scalable=yes">
	<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="all" />
	<link rel="shortcut icon" href="<?php echo get_template_directory_uri(); ?>/images/favicon.ico" />
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
	<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
	<div id="container">

		<div id="header">
			<div id="header-image">
<?php if (get_header_image()) : ?>
				<img src="<?php header_image(); ?>" width="<?php echo get_custom_header()->width; ?>" height="<?php echo get_custom_header()->height; ?>" alt="" />
<?php endif; ?>
			</div>
			<!-- /#header-image -->
			<div id="header-text">
				<p class="sitename"><a href="<?php echo home_url(); ?>"><?php bloginfo('name'); ?></a></p>
				<h1 class="descr"><?php bloginfo('description'); ?></h1>
			</div>
			<!-- /#header-text -->
		</div>
		<!-- /#header -->

		<div id="navi">
			<ul>
				<li><a href="<?php echo home_url();?>" title="トップページ">TOP</a></li>
				<?php wp_nav_menu(array('theme_location' => 'navbar')); ?>
			</ul>
			<div class="clear"></div>
		</div>
		<!--/#navi-->

		<div id="wrapper">
			<div id="side-left">
<?php get_sidebar('left'); ?>
			</div>
			<!-- /#side-left -->

			<div id="main">
