<?php
	require get_template_directory() . '/inc/theme-options.php';

	$isUpdated = false;
	if (isset($_POST['action']) && $_POST['action'] == 'update') {
		check_admin_referer('theme-option');

		// アイキャッチ画像の使用有無
		$name = 'eyecatch';
		$eyecatch = ($_POST[$name] == '1') ? '1' : '0';
		set_theme_mod($name, $eyecatch);

		// 関連記事の表示設定
		$prefix = 'fellow';
		$name = 'count'; $keyname = $prefix . '_' . $name;
		$fellow[$name] = (isset($_POST[$keyname])) ? $_POST[$keyname] : '5';
		set_theme_mod($keyname, $fellow[$name]);
		$name = 'sort'; $keyname = $prefix . '_' . $name;
		$fellow[$name] = (isset($_POST[$keyname])) ? $_POST[$keyname] : 'rand';
		set_theme_mod($keyname, $fellow[$name]);
		$name = 'order'; $keyname = $prefix . '_' . $name;
		$fellow[$name] = (isset($_POST[$keyname])) ? $_POST[$keyname] : 'asc';
		set_theme_mod($keyname, $fellow[$name]);

		// author情報の無効化
		$prefix = 'disauthor';
		$name = 'list'; $keyname = $prefix . '_' . $name;
		$disauthor[$name] = ($_POST[$keyname] == '1') ? '1' : '0';
		set_theme_mod($keyname, $disauthor[$name]);
		$name = 'post'; $keyname = $prefix . '_' . $name;
		$disauthor[$name] = ($_POST[$keyname] == '1') ? '1' : '0';
		set_theme_mod($keyname, $disauthor[$name]);

		// SyntaxHighlighterのライブラリ使用
		for ($i=0; $i<count($syntaxs); $i++) {
			$name = 'syntax_' . $syntaxs[$i]['id'];
			$syntaxs[$i]['value'] = ($_POST[$name] == '1') ? '1' : '0';
			set_theme_mod($name, $syntaxs[$i]['value']);
		}

		// 不要なヘッダーの除去
		for ($i=0; $i<count($wpheads); $i++) {
			$name = 'wphead_' . $wpheads[$i]['id'];
			$wpheads[$i]['value'] = ($_POST[$name] == '1') ? '1' : '0';
			set_theme_mod($name, $wpheads[$i]['value']);
		}

		// アクセス解析コード設定
		$name = 'analtcs';
		$analtcs = stripslashes(trim($_POST[$name]));
		set_theme_mod($name, $analtcs);

		// 広告コード設定
		for ($i=0; $i<count($adcodes); $i++) {
			$name = 'adcode_' . $adcodes[$i]['id'];
			$adcodes[$i]['value'] = stripslashes(trim($_POST[$name]));
			set_theme_mod($name, $adcodes[$i]['value']);
		}

		//wp_redirect(admin_url('themes.php?page=theme-option&updated=true'));
		$isUpdated = true;
	}
	//$isUpdated = (isset($_POST['updated']) && $_GET['updated'] == 'true');
?>

<div id="smart-theme-option">
	<h2>テーマオプションの設定</h2>
<?php if ($isUpdated) : ?>
	<div id="message" class="updated">
		<p>オプションの編集に成功しました。</p>
	</div>
<?php endif; ?>

	<form name="theme-option" id="theme-option" action="themes.php?page=theme-option" method="post">
		<input type="hidden" id="action" name="action" value="update">

		<div class="section">
			<h3>【アイキャッチ画像】</h3>
			<ul>
				<li><input type="checkbox" class="checkbox" id="eyecatch" name="eyecatch" value="1"<?php if ($eyecatch == '1') echo ' checked="checked"'; ?>>
				アイキャッチ画像を使用する (画像サイズは 100px * 100px となります)</li>
			</ul>
		</div>

		<div class="section">
			<h3>【関連記事】</h3>
			<ul>
				<li>表示件数：<select id="fellow_count" name="fellow_count">
								<option value="3" <?php if ($fellow['count'] ==  '3') echo ' selected="selected"'; ?>>3</option>
								<option value="5" <?php if ($fellow['count'] ==  '5') echo ' selected="selected"'; ?>>5</option>
								<option value="10"<?php if ($fellow['count'] == '10') echo ' selected="selected"'; ?>>10</option>
							</select> 件</li>
				<li>表示順　 ：<select id="fellow_sort" name="fellow_sort">
								<option value="rand"    <?php if ($fellow['sort'] == 'rand')      echo ' selected="selected"'; ?>>ランダム</option>
								<option value="ID"      <?php if ($fellow['sort'] == 'ID')        echo ' selected="selected"'; ?>>ID</option>
								<option value="date"    <?php if ($fellow['sort'] == 'date')      echo ' selected="selected"'; ?>>投稿日時</option>
								<option value="modified"<?php if ($fellow['sort'] == 'modified')  echo ' selected="selected"'; ?>>更新日時</option>
							</select>
							<select id="fellow_order" name="fellow_order">
								<option value="asc" <?php if ($fellow['order'] == 'asc')  echo ' selected="selected"'; ?>>昇順</option>
								<option value="desc"<?php if ($fellow['order'] == 'desc') echo ' selected="selected"'; ?>>降順</option>
							</select></li>
			</ul>
		</div>

		<div class="section">
			<h3>【作成者 (投稿者) 情報の無効化】</h3>
			<spam class="description">作成者 (投稿者) に関する情報の表示を無効化します。主な目的はセキュリティ対策です。</span><br />
			<spam class="description">管理画面 [ユーザー - プロフィール] で「ブログ上の表示名」を「ユーザー名」にしている (デフォルト設定) 場合、</span><br />
			<spam class="description">管理画面にアクセスできるユーザー名が投稿記事の内容から簡単に判明してしまいます。</span><br />
			<spam class="description">ユーザー名が特定できていますから、パスワードを総当たりでトライするブルートフォースアタックが</span><br />
			<spam class="description">仕掛けやすくなってしまいますので、「ブログ上の表示名」は「ニックネーム」にすることをお勧めします。</span><br />
			<spam class="description">が、「ブログ上の表示名」の設定に関わらず、作成者別一覧ページのURLパラメータからユーザー名は判明してしまいます。</span><br />
			<spam class="description">作成者 (投稿者) が一人だけの場合、作成者 (投稿者) 情報の出力は必要ない場合が多いため、これらの表示を無効化することができます。</span><br />
			<ul>
				<li><input type="checkbox" class="checkbox" id="disauthor_list" name="disauthor_list" value="1"<?php if ($disauthor['list'] == '1') echo ' checked="checked"'; ?>>
				作成者別一覧ページを 404 Not Found にする</li>
				<li><input type="checkbox" class="checkbox" id="disauthor_post" name="disauthor_post" value="1"<?php if ($disauthor['post'] == '1') echo ' checked="checked"'; ?>>
				一覧ページや個別ページに作成者情報を表示しない<br />　　　※これをチェックすると、Googleウェブマスターツールの構造化データ (hatom) で author がない状態になります</li>
			</ul>
		</div>

		<div class="section">
			<h3>【SyntaxHighlighter】</h3>
			<ul>
<?php foreach($syntaxs as $syntax): ?>
				<li><input type="checkbox" class="checkbox" id="syntax_<?php echo $syntax['id']; ?>" name="syntax_<?php echo $syntax['id']; ?>" value="1"<?php if ($syntax['value'] == '1') echo ' checked="checked"'; ?>>
				<?php echo $syntax['title']; ?>コード用ライブラリを利用する</li>
<?php endforeach; ?>
			</ul>
		</div>

		<div class="section">
			<h3>【不要なヘッダーの除去】</h3>
			<ul>
<?php foreach($wpheads as $wphead): ?>
				<li><input type="checkbox" class="checkbox" id="wphead_<?php echo $wphead['id']; ?>" name="wphead_<?php echo $wphead['id']; ?>" value="1"<?php if ($wphead['value'] == '1') echo ' checked="checked"'; ?>>
				<?php echo $wphead['id'] . ' ： ' . $wphead['title']; ?></li>
<?php endforeach; ?>
			</ul>
		</div>

		<div class="section">
			<h3>【アクセス解析コード挿入】</h3>
			<spam class="description">Google Analytics 等、アクセス解析用のコードを全てのページに自動的に挿入します。</span>
			<ul>
				<li><textarea cols="120" rows="7" class="textarea" id="analtcs" name="analtcs"><?php echo esc_textarea($analtcs); ?></textarea></li>
			</ul>
		</div>

		<div class="section">
			<h3>【広告コード挿入】</h3>
			<spam class="description">１つの枠に２つ以上の広告コードを指定することもできます。</span><br />
			<spam class="description">ただし、ご利用のアフェリエイトによっては、１ページで表示してもよい広告の数に上限があるものがあります。</span><br />
			<spam class="description">例えば、2014/05/18現在、Google AdSense リンクユニットと標準広告ユニットは それぞれ 1 ページに 3 つまで、</span><br />
			<spam class="description">検索ボックス は 2つまでというポリシーが設定されています。ご注意ください。</span>
			<ul>
<?php foreach($adcodes as $adcode): ?>
				<li><h4><?php echo $adcode['position']; ?>　（幅 <?php echo $adcode['width']; ?>px まで）</h4>
				<textarea cols="120" rows="7" class="textarea" id="adcode_<?php echo $adcode['id']; ?>" name="adcode_<?php echo $adcode['id']; ?>"><?php echo esc_textarea($adcode['value']); ?></textarea></li>
<?php endforeach; ?>
			</ul>
		</div>

<?php wp_nonce_field('theme-option') ?>
		<p class="submit"><input type="submit" name="submit" id="submit" class="button button-primary" value="変更を保存"  /></p>

	</form>
</div>
