/* smartstyle original script */

// getElementById for cross browser (getElementByIdのクロスブラウザ対応)
function getElementFromId(id) {
	if (document.getElementById) {
		return document.getElementById(id);
	}
	return document.all(id);
}

// write cookie (cookie書込み)
function setCookie(name, value, path) {
	if (path == "") path = "/";
	var s = name + "=" + escape(value) + "; path=" + path;
	document.cookie = s;
}

// read cookie (cookie読込み)
function getCookie(name) {
	var st = "";
	var ed = "";
	if (document.cookie.length > 0 ) {
		st = document.cookie.indexOf(name + "=");
		if (st != -1) {
			st = st + name.length + 1;
			ed = document.cookie.indexOf(";", st);
			if (ed == -1) ed = document.cookie.length;
			return unescape(document.cookie.substring(st, ed));
		}
	}
	return "";
}

// Back To Top use jquery (Topへ戻るボタンのスクロール後表示 : jquery利用)
/*
	WordPressではjQueryと、プラグインなどが独自に読み込んだJavaScriptがコンフリクトしないように[$]が別名定義されている
	そのため、 jQueryの[$]を使用すると、「TypeError: $ is not a function」が発生し、動作しない
	[$]は[jQuery]で別名定義されているので、「$」の代わりに「jQuery」を使用する
*/
jQuery(function() {
	var topBtn = jQuery('#back-top');
	topBtn.hide();
	jQuery(window).scroll(function () {
		if (jQuery(this).scrollTop() > 200) {	// 200(px)スクロールで表示
			topBtn.fadeIn();
		} else {
			topBtn.fadeOut();
		}
	});
	//スクロールしてトップに戻る
	topBtn.click(function () {
		jQuery('body,html').animate({
			scrollTop: 0
		}, 500);			// 500ミリ秒かけて指定箇所へ戻る
		return false;
	});
});

