<?php get_header(); ?>

			<!-- パンくず -->
			<div id="crumb">
				<div itemscope itemtype="http://data-vocabulary.org/Breadcrumb"><a href="<?php echo home_url(); ?>" itemprop="url"><span itemprop="title">ホーム</span></a> &gt; </div>
<?php if (have_posts()) : ?>
<?php
	// 記事が直接属するカテゴリから上位カテゴリを辿って、全ての所属カテゴリを配列保管
	$category = get_the_category();
	$category_id = $category[0]->cat_ID;
	$categories = array($category_id);
	while (!$category_id == 0) {
	    $category = get_category($category_id);
	    $category_id = $category->parent;
	    array_push($categories, $category_id);
	}
	array_pop($categories);
	$categories = array_reverse($categories);	// 逆順に並べ替え
?>
<?php foreach($categories as $category_id): ?>
				<div itemscope itemtype="http://data-vocabulary.org/Breadcrumb"><a href="<?php echo get_category_link($category_id); ?>" itemprop="url"><span itemprop="title"><?php echo get_cat_name($category_id); ?></span></a> &gt; </div>
<?php endforeach; ?>
<?php endif; ?>
			</div>
			<!--/#crumb-->

			<!-- 記事 -->
<?php if (have_posts()) : ?>
<?php while (have_posts()) : the_post(); ?>
			<div class="post hentry">
				<h2 class="entry-title"><?php the_title(); ?></h2>
				<div class="entry-box">
					<span class="entry-date">
						公開日：<time class="published" datetime="<?php the_time('c'); ?>"><?php the_time(get_option('date_format')); ?></time>　
						最終更新日：<time class="updated" datetime="<?php echo get_mtime('c'); ?>"><?php echo get_mtime(get_option('date_format')); ?></time>
					</span>
<?php if (is_author_out('post')) : ?>
					　posted by <span class="vcard author"><span class="fn<?php if (is_author_out('list')) : ?> url"><?php the_author_posts_link(); ?><?php else : ?>"><?php the_author(); ?><?php endif; ?></span></span>
<?php endif; ?>
					<br /><?php the_category(', '); ?><?php the_tags('', ', '); ?>
				</div>
<?php output_ad('main_top'); ?>
				<div class="entry-content">
<?php the_content(); ?>
				</div>
				<div class="entry-link">
<?php wp_link_pages(); ?>
				</div>
<?php get_template_part('sns'); ?>
			</div>
			<!-- /.post -->
<?php endwhile; ?>

<?php else : ?>
<?php output_ad('main_top'); ?>
			<p>記事がありません</p>
<?php endif; ?>

<?php output_ad('main_middle'); ?>
<?php if (have_posts()) : ?>
			<!--関連記事-->
			<div class="fellow">
				<h4 class="fellow-subject">関連記事</h4>
<?php
	$fellow = get_original_option('fellow');
	$category = get_the_category($post->ID);
	$categories = array();
	foreach ($category as $item) {
		array_push($categories, $item->cat_ID);
	}
	$args = array(
		'post__not_in'   => array($post->ID),
		'posts_per_page' => $fellow['count'],
		'category__in'   => $categories,
		'orderby'        => $fellow['sort'],
		'order'          => $fellow['order'],
	);
	$st_query = new WP_Query($args);
?>
<?php if ($st_query -> have_posts()): ?>
				<dl>
<?php while ($st_query->have_posts()) : $st_query->the_post(); ?>
					<dd>
<?php output_thumbnail(); ?>
						<?php if (is_eyecatch()): ?><div class="fellow-inline"><?php endif; ?>
							<h3 class="fellow-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
							<p class="fellow-excerpt"><?php echo mb_substr(get_the_excerpt(), 0, 40); ?>...</p>
							<p class="fellow-more"><a href="<?php the_permalink(); ?>">記事を読む</a></p>
						<?php if (is_eyecatch()): ?></div><?php endif; ?>
					</dd>
<?php endwhile; ?>
				</dl>
<?php else : ?>
				<p>関連記事はありません</p>
<?php endif; ?>
<?php wp_reset_postdata(); ?>
			</div>
			<!-- /.fellow -->
<?php endif; ?>

<?php output_ad('main_bottom'); ?>
<?php if (have_posts()) : ?>
			<!-- コメント -->
<?php comments_template(); ?>
			<!-- ページナビ -->
			<div class="page-navi">
				<dl>
<?php $prev_post = get_previous_post(); if (!empty($prev_post)) : ?>
					<dt>Prev：</dt><dd><a href="<?php echo get_permalink($prev_post->ID); ?>"><?php echo $prev_post->post_title; ?></a></dd>
<?php endif; ?>
<?php $next_post = get_next_post(); if (!empty($next_post)) : ?>
					<dt>Next：</dt><dd><a href="<?php echo get_permalink($next_post->ID); ?>"><?php echo $next_post->post_title; ?></a></dd>
<?php endif; ?>
				</dl>
			</div>
			<!-- /.page-navi -->
<?php endif; ?>

<?php get_footer(); ?>
