// path/to/theme/tinymce/plugin.js

(function() {
	/* Languageパックの指定 */
	tinymce.PluginManager.requireLangPack('syntax_plugin');

	/* プラグインの作成 */
	tinymce.create('tinymce.plugins.syntax_plugin', {
		/* 初期処理 */
		init : function(editor, url) {

			//--- コマンド追加 syntaxhighlighter preタグ
			// add command for syntaxhighlighter HTML
			editor.addCommand('syntax_html', function() {
				tinyMCE.activeEditor.selection.setContent('<pre class="brush: html;">'
														+ 'ここにHTMLコードを記述'
														+ '</pre>\n');
			});
			// add command for syntaxhighlighter CSS
			editor.addCommand('syntax_css', function() {
				tinyMCE.activeEditor.selection.setContent('<pre class="brush: css;">'
														+ 'ここにCSSコードを記述'
														+ '</pre>\n');
			});
			// add command for syntaxhighlighter JavaScript
			editor.addCommand('syntax_js', function() {
				tinyMCE.activeEditor.selection.setContent('<pre class="brush: js;">'
														+ 'ここにJavaScriptコードを記述'
														+ '</pre>\n');
			});
			// add command for syntaxhighlighter PHP
			editor.addCommand('syntax_php', function() {
				tinyMCE.activeEditor.selection.setContent('<pre class="brush: php;">'
														+ 'ここにPHPコードを記述'
														+ '</pre>\n');
			});
			// add command for syntaxhighlighter Perl
			editor.addCommand('syntax_perl', function() {
				tinyMCE.activeEditor.selection.setContent('<pre class="brush: perl;">'
														+ 'ここにPerlコードを記述'
														+ '</pre>\n');
			});
			// add command for syntaxhighlighter C/C++
			editor.addCommand('syntax_cpp', function() {
				tinyMCE.activeEditor.selection.setContent('<pre class="brush: cpp;">'
														+ 'ここにC/C++コードを記述'
														+ '</pre>\n');
			});
			// add command for syntaxhighlighter C#
			editor.addCommand('syntax_cshp', function() {
				tinyMCE.activeEditor.selection.setContent('<pre class="brush: csharp;">'
														+ 'ここにC#コードを記述'
														+ '</pre>\n');
			});
			// add command for syntaxhighlighter VB
			editor.addCommand('syntax_vb', function() {
				tinyMCE.activeEditor.selection.setContent('<pre class="brush: vb;">'
														+ 'ここにVBコードを記述'
														+ '</pre>\n');
			});
			// add command for syntaxhighlighter Java
			editor.addCommand('syntax_java', function() {
				tinyMCE.activeEditor.selection.setContent('<pre class="brush: java;">'
														+ 'ここにJavaコードを記述'
														+ '</pre>\n');
			});
			// add command for syntaxhighlighter SQL
			editor.addCommand('syntax_sql', function() {
				tinyMCE.activeEditor.selection.setContent('<pre class="brush: sql;">'
														+ 'ここにSQLコードを記述'
														+ '</pre>\n');
			});

			//--- コマンド追加 HTMLエンティティ エスケープ
			// add command for syntaxhighlighter tag in pre <>
			editor.addCommand('entity_tag', function() {
				tinyMCE.activeEditor.selection.setContent('&lt;'
														+ 'タグ'
														+ '&gt;');
			});
			// add command for syntaxhighlighter tag in pre &
			editor.addCommand('entity_amp', function() {
				tinyMCE.activeEditor.selection.setContent('&amp;');
			});
			// add command for syntaxhighlighter tag in pre ""
			editor.addCommand('entity_dquotes', function() {
				tinyMCE.activeEditor.selection.setContent('&quot;'
														+ '文字列'
														+ '&quot;');
			});

			//--- ボタン追加 syntaxhighlighter preタグ
			// add button for syntaxhighlighter HTML
			editor.addButton('button_syntax_html', {
				title: 'HTMLコード',
				cmd: 'syntax_html',
				image: url + '/icons/syntax_html.png'
			});
			// add button for syntaxhighlighter CSS
			editor.addButton('button_syntax_css', {
				title: 'CSSコード',
				cmd: 'syntax_css',
				image: url + '/icons/syntax_css.png'
			});
			// add button for syntaxhighlighter JavaScript
			editor.addButton('button_syntax_js', {
				title: 'JavaScriptコード',
				cmd: 'syntax_js',
				image: url + '/icons/syntax_js.png'
			});
			// add button for syntaxhighlighter PHP
			editor.addButton('button_syntax_php', {
				title: 'PHPコード',
				cmd: 'syntax_php',
				image: url + '/icons/syntax_php.png'
			});
			// add button for syntaxhighlighter Perl
			editor.addButton('button_syntax_perl', {
				title: 'Perlコード',
				cmd: 'syntax_perl',
				image: url + '/icons/syntax_perl.png'
			});
			// add button for syntaxhighlighter C/C++
			editor.addButton('button_syntax_cpp', {
				title: 'C/C++コード',
				cmd: 'syntax_cpp',
				image: url + '/icons/syntax_cpp.png'
			});
			// add button for syntaxhighlighter C#
			editor.addButton('button_syntax_cshp', {
				title: 'C#コード',
				cmd: 'syntax_cshp',
				image: url + '/icons/syntax_cshp.png'
			});
			// add button for syntaxhighlighter VB
			editor.addButton('button_syntax_vb', {
				title: 'VBコード',
				cmd: 'syntax_vb',
				image: url + '/icons/syntax_vb.png'
			});
			// add button for syntaxhighlighter Java
			editor.addButton('button_syntax_java', {
				title: 'Javaコード',
				cmd: 'syntax_java',
				image: url + '/icons/syntax_java.png'
			});
			// add button for syntaxhighlighter SQL
			editor.addButton('button_syntax_sql', {
				title: 'SQLコード',
				cmd: 'syntax_php',
				image: url + '/icons/syntax_sql.png'
			});

			//--- ボタン追加 HTMLエンティティ エスケープ
			// add button for syntaxhighlighter tag in pre <>
			editor.addButton('button_entity_tag', {
				title: 'HTMLタグ < >',
				cmd: 'entity_tag',
				image: url + '/icons/entity_tag.png'
			});
			// add button for syntaxhighlighter tag in pre &
			editor.addButton('button_entity_amp', {
				title: 'アンパサンド &',
				cmd: 'entity_amp',
				image: url + '/icons/entity_amp.png'
			});
			// add button for syntaxhighlighter tag in pre ""
			editor.addButton('button_entity_dquotes', {
				title: 'ダブルクォーテーション " "',
				cmd: 'entity_dquotes',
				image: url + '/icons/entity_dquotes.png'
			});
		}, 

		/* コントロールの作成 */
		createControl : function(n, cm) {
			// リストボックスに追加
			switch (n) {
				//--- syntaxhighlighter preタグ
				case 'syntax_listbox' :
					var mlb = cm.createListBox('syntax_listbox_object', {
								title : 'SyntaxHighlighter',
								onselect : function(v) {
									tinyMCE.activeEditor.execCommand('syntax_' + v, false, v);
								}
							  });
					// リストボックスにメニューを追加
					mlb.add('HTML'      , 'html');
					mlb.add('CSS'       , 'css');
					mlb.add('JavaScript', 'js');
					mlb.add('PHP'       , 'php');
					mlb.add('Perl'      , 'perl');
					mlb.add('C/C++'     , 'cpp');
					mlb.add('C#'        , 'cshp');
					mlb.add('VB'        , 'vb');
					mlb.add('Java'      , 'java');
					mlb.add('SQL'       , 'sql');
					return mlb;

				//--- HTMLエンティティ エスケープ
				case 'entity_listbox' :
					var mlb = cm.createListBox('entity_listbox_object', {
								title : 'HTML Entity',
								onselect : function(v) {
									tinyMCE.activeEditor.execCommand('entity_' + v, false, v);
								}
							  });
					// リストボックスにメニューを追加
					mlb.add('タグ'                  , 'tag');
					mlb.add('アンパサンド'          , 'amp');
					mlb.add('ダブルクォーテーション', 'dquotes');
					return mlb;
			}
			return null;
		}, 

		/* 製作者情報 */
		getInfo : function() {
			return {
				longname: 'TinyMCE Plugin for SyntaxHighlighter',
				author: 'Junko Okamoto',
				authorurl: 'http://wordpress.windows-style.info/',
				infourl: 'http://wordpress.windows-style.info/topics/smartstyle',
				version: "0.8"
			};
		}
	});

	/* プラグインマネージャーに追加 */
	tinymce.PluginManager.add('syntax_plugin', tinymce.plugins.syntax_plugin);
})();
